Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.Cursor Method (Transaction)
RecnoDatabase Class See Also

Create a transactionally protected database cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public RecnoCursor Cursor(
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function Cursor ( _
    	txn As Transaction _
    ) As RecnoCursor

Visual C++
    public:
    RecnoCursor^ Cursor(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

RecnoDatabase Class
Cursor Overload
BerkeleyDB Namespace